﻿
$ErrorActionPreference = 'Stop';

$packageName= 'getiplayer'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://github.com/get-iplayer/get_iplayer_win32/releases/download/3.26.0/get_iplayer-3.26.0-windows-x86-setup.exe'
$url64      = 'https://github.com/get-iplayer/get_iplayer_win32/releases/download/3.26.0/get_iplayer-3.26.0-windows-x64-setup.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'exe'
  url           = $url
  url64bit      = $url64

  softwareName  = 'getiplayer*'

  checksum      = '40938475dca461db8113908d2821e5b4e8b2ad653f9356d2ed7bb51d26529491'
  checksumType  = 'sha256'
  checksum64    = 'd0aaf1deda84a7dc15e558fa7e1b002140e4c9df3089becc5d08697f7e576fa2'
  checksumType64= 'sha256'

  silentArgs   = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-'
}

Install-ChocolateyPackage @packageArgs
